using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace YBEE.EQM.Core;

/// <summary>
/// 结果下载记录
/// </summary>
public class ExamOrgResultDownload : IEntity
{
    /// <summary>
    /// 主键
    /// </summary>
    [Comment("主键")]
    [Key, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; set; }
    /// <summary>
    /// 结果文件ID
    /// </summary>
    [Comment("结果文件ID")]
    public int ExamOrgResultId { get; set; }
    /// <summary>
    /// 下载时间
    /// </summary>
    [Comment("下载时间")]
    public DateTime DownloadTime { get; set; }
    /// <summary>
    /// 下载人
    /// </summary>
    [Comment("下载人")]
    public int SysUserId { get; set; }
    /// <summary>
    /// 账户
    /// </summary>
    [Comment("账户")]
    [StringLength(50)]
    public string Account { get; set; }
    /// <summary>
    /// IP
    /// </summary>
    [Comment("IP")]
    [StringLength(20)]
    public string Ip { get; set; }
}
